/*
 * @Description  : 
 * @Version      : 1.0
 * @Author       : Shiming
 * @Date         : 2021-12-06 20:20:26
 * @LastEditors  : Shiming
 * @LastEditTime : 2022-01-18 17:18:24
 * @FilePath     : \\tms-obc-web\\src\\app\\routes\\order-management\\components\\bulk-detail\\bulk-detail.component.ts
 * Copyright (C) 2022 huzhenhong. All rights reserved.
 */
import { Router } from '@angular/router';
import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { STColumn } from '@delon/abc/st';
import { _HttpClient } from '@delon/theme';
import { NzMessageService } from 'ng-zorro-antd/message';
import { NzModalService } from 'ng-zorro-antd/modal';
import { OrderManagementService } from '../../services/order-management.service';
import { NzCardComponent } from 'ng-zorro-antd/card';
@Component({
  selector: 'app-supply-management-bulk-detail',
  templateUrl: './bulk-detail.component.html',
  styleUrls: ['./bulk-detail.component.less']
})
export class OrderManagementBulkeDetailComponent implements OnInit {

 
  id = this.route.snapshot.params.id;
  i: any;
  imges: any;
  totalObj: any;
  attObj: any;
  isVisible = false;
  logColumns: STColumn[] = [
    { title: '款项', index: 'expenseName' },
    { title: '运输费（元）', render: 'price' },
    { title: '附加费（元）', render: 'surcharge' },
    { title: '支付时间', index: ' paymentTime' },
    {
      title: '支付状态',
      className: 'text-center',
      index: 'paymentStatus',
      type: 'badge',
      width: '120px',
      badge: {
        '1': { text: '待申请', color: 'warning' },
        '2': { text: '已支付', color: 'success' },
        '3': { text: '已拒绝', color: 'warning' },
        '4': { text: '申请中', color: 'warning' },
      },
    },
  ];

  constructor(
    private route: ActivatedRoute,
    private msgSrv: NzMessageService,
    private service: OrderManagementService,
    private router: Router,
    private modal: NzModalService,
  ) {

  }

  ngOnInit(): void {
    this.initData()
  }

  initData() {
    this.service.request(this.service.$api_getBulkBillDetail, {id: this.id}).subscribe(res => {
      if (res) {
        this.i =res;
        this.attObj = this.i?.billExpenseDetails?.filter((data: any) => data.expenseCode === 'ATT')[0];
        this.totalObj = this.i?.billExpenseDetails?.filter((data: any) => data.expenseCode === 'TOTAL')[0];
      }
    })
  }


  goBack() {
    window.history.go(-1);
  }
    // 修改订单
  changeOrder() {
      this.router.navigate(['order-management/bulk-detailChange', this.id])
  }
  agreement(value: any) {
    if(value === '1') {
      this.imges = this.i?.supplementAgreement
    } else if (value === '2') {
      this.imges = this.i?.supplementAgreement
     }
    this.isVisible = true;
  }
  handleCancel() {
    this.isVisible = false
  }
  handleOK() {
  this.isVisible = false
  }
  goDistance(elf: NzCardComponent) {
    if (elf) {
      elf['elementRef'].nativeElement.scrollIntoView({ behavior: 'smooth', block: 'start', inline: 'start' });
    }
  }
      // 取消订单
  cancellation() {
        // api_get_cancelAnOrder
        this.modal.confirm({
          nzTitle: '<b>确定取消该订单吗?</b>',
          nzContent: `<b>取消后无法恢复，请确认</b>`,
          nzOnOk: () =>
            this.service.request(this.service.$api_get_cancelAnOrder, {id: this.id}).subscribe((res) => {
              if (res === true) {
                this.service.msgSrv.success('操作成功！');
                this.initData();
              }
            }),
        })
  }
}
